# 3D Printing & Scanning
## 3D Printing
3D printing session started off by Mr. Fran briefing us about types of 3D printers, their applications and softwares. Then he asked us to download Cura 3D printing software.

To download Cura software access [Ultimaker Cura software](https://ultimaker.com/en/products/ultimaker-cura-software) and hit the download button.

After we had downloaded the software, Mr.Fran started talking about the settings within the software. He recomended us to make the following:
* The layer height should be **0.1 mm** (normal).
* The infill to be **20%** (normal).
* Activate the **generate support** option if we want to print shapes like the following shape.

![](/home/omar/Desktop/preacademy2018/participants/ahmad.omar/ignore/picturs/support1.png)

If a piece on the shape inclined at an angle <= 45 degree from the surface of the glass, then generate a support.
* Activate the **build plate adhesion** option for shapes that could fall down during the printing process. The printer will make a base for the shape like the following figure.

![](/home/omar/Desktop/preacademy2018/participants/ahmad.omar/ignore/picturs/adehesion1.JPG)

### _Ultimaker 2_ 3D printer settings
Before turning on the machine we have to clean it, Mr. Fran told us that **_when the machine is clean, people will respect the machine_**. We used alcohol based cleaners to clean the 3D printer. Also, make sure that all the rods are fixed and the belts are tied.   
After we cleaned the printer and checked it out we turned it on and made the following procedures:
* Insert material.
  * Make sure that the filaments are not stock while you pull them out.
  * Cut the head of the filament and make it sharp to make it easy for inserting.

![](/home/omar/Desktop/preacademy2018/participants/ahmad.omar/ignore/picturs/fila.jpg)
* set the layer height in the printer through build plate option.
  * Rotate the button until the nozzle is a millimeter away from the build-plate.
  * repeat the above step for all the corners.
  *  Repeat the same step, but now use a sheet of paper to fine tune build-plate level.
  * Slide a paper between a build-plate and nozzle until you feel a bit resistance.


  ![](/home/omar/Desktop/preacademy2018/participants/ahmad.omar/ignore/picturs/mmm.jpg)
* Choose move the material option and start rotating the button, then feel the filament to see if it smooth. if the it is smooth, then the printer is ready to print.

     ![](/home/omar/Desktop/preacademy2018/participants/ahmad.omar/ignore/picturs/aaa1.jpg)

Precautions :
* Don't put glow on the build-plat of the 3D printer.
* Don't use carbon fiber filaments unless if you need a strong product; because it could harm the nozzle. Instead of carbon fiber use PLA filament which is the most type of filament used on 3D printers.
* when you make move material option don't pull the filament from the nozzle.
* keep the printers and the materials on away from humidity; because the filament could grow by humidity.
* make sure that the filament diameter is 2.85 mm. If the filament diameter is > 2.95 mm, then put the filament in the oven at 40 Celsius.
* Once you start printing, keep an eye on the printer to make sure that the first layer is printed properly.
* If some extra filaments is printed out while the machine is printing then low the temperature of the nozzle.
* Make speed around 30% when you start printing.
* Always clean the printer and the space around the printers before start printing and after finish printing.

## 3D Scanning
A 3D scanner is a device that analyses a real-world object or environment to collect data on its shape. The collected data can then be used to construct digital 3D models.

download the scanning software on window's operating system by accessing [cubify.com](https://www.3dsystems.com/shop?redirectFrom=cubify), then make the following procedure:
*  Download sense software.
* Plug in scanner to USB.
* Launch sense software.
* Start scanning.
